%global commit 7303ada0a83b70863b1805452288919e8efdc235
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           pyhoca-cli
Version:        0.6.1.3
Release:    1%{?dist}
Summary:        Command line X2Go client written in Python

License:        AGPLv3+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setproctitle
Requires:       python%{python3_pkgversion}-x2go

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-CLI provides a simple and flexible command line client
written in Python that allows you to control X2Go client sessions
on desktops and thin clients.


%prep
%autosetup -p1


%build
%py3_shebang_fix %{name}
%py3_build


%install
%py3_install
mkdir -p %{buildroot}/%{_bindir}/
cp -p %{name} %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_mandir}/
cp -rp man/* %{buildroot}/%{_mandir}/


%files
%license COPYING
%doc README TODO
%{_bindir}/%{name}
%{python3_sitelib}/PyHoca_CLI-*
%{python3_sitelib}/pyhoca/
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.3-1
- initial build
